Lantmäteriets WMTS och QGIS 2.16

Ni som uppdaterat till QGIS 2.16 och använder Lantmäteriets Öppna WMTS tjänst har märkt att detta inte fungerar speciellt bra, för att uttrycka det milt.

Efter att ha felsökt själv utan framgång så anmälde jag felet till QGIS projektet där man också kunde bekräfta att det var ett problem att ansluta till den annonserade tjänsten.

Eftersom QGIS 2.14 såväl som QGIS Master (utvecklingsversionen) fungerar, så var den naturliga slutsatsen att det var något fel med QGIS 2.16, så förhoppningsvis skulle 2.16.1 lösa problemen (utvecklingsversionen fungerar ju!).

Så blev det nu inte, vilket även verkar bekräfta en annan teori om felet, nämligen att det är Lantmäteriets WMTS som det är fel på!

När en GIS klient anropar en tjänst av denna typ så utbyts en hel del information varav en är förknippad med ”User Agent:”.

I QGIS 2.16 så är innehållet i denna fråga: ”Mozilla/5.0 QGIS/2.16.0-Nødebo”! När man manipulerar frågan och i stället anger ”Nodebo” med ”o” så fungerar det!

Det som således verkar vara problemet är att Lantmäteriets tjänst inte förstår danska ”ø”.

Jag har fyllt i ett formulär på LM hemsida om problemet, men om det är någon som har bättre kontakter med de ansvariga så får ni gärna hänvisa till detta inlägg så att det kan bli en lösning på problemet för alla QGIS användare som vill komma åt Svenska Öppna data från Lantmäteriet.

https://hub.qgis.org/issues/15258

Som parentes kan sägas att Lantmäteriets Norska motsvarighet inte har några problem med WMTS anrop från QGIS 2.16 Nødebo!

Slutligen ett tack till Mattias i Haninge som identifierade problemet!

Annonser

Taggar:, ,

2 responses to “Lantmäteriets WMTS och QGIS 2.16”

  1. Fredrik says :

    Gah.. Men så sjukt störigt av LM.

    Jag som varit helt säker på att jag gör något fel. Och idag hittade jag din plugin så funkade det fortfarande inte. Jaja. Antar att det inte finns något lätt sätt att ändra user-agent när man lägger till kopplingen? Du kanske kan göra så din plugin visar en varning om man kör med ”Nødebo” versionen?

    Ha det fint
    /Fredrik

  2. Klas Karlsson says :

    Det verkar som att QGIS löser problemet i nästa uppdatering (2.16.2). Håll tummarna!

Kommentera

Fyll i dina uppgifter nedan eller klicka på en ikon för att logga in:

WordPress.com Logo

Du kommenterar med ditt WordPress.com-konto. Logga ut / Ändra )

Twitter-bild

Du kommenterar med ditt Twitter-konto. Logga ut / Ändra )

Facebook-foto

Du kommenterar med ditt Facebook-konto. Logga ut / Ändra )

Google+ photo

Du kommenterar med ditt Google+-konto. Logga ut / Ändra )

Ansluter till %s

%d bloggare gillar detta: